#
# Module manifest for module 'VMware.VimAutomation.Core'
#
# Generated by: "VMware"
#
#

@{

# Script module or binary module file associated with this manifest
RootModule = 'VMware.VimAutomation.Core.psm1'

# Version number of this module.
ModuleVersion = '11.3.0.87839292'

# ID used to uniquely identify this module
GUID = '44949982-afb3-47df-919e-8fc646dc0d5a'

# Author of this module
Author = 'VMware'

# Company or vendor of this module
CompanyName = 'VMware, Inc.'

# Copyright statement for this module
Copyright = 'Copyright (c) VMware, Inc. All rights reserved.'

# Description of the functionality provided by this module
Description = 'This Windows PowerShell module contains Windows PowerShell cmdlets for managing vSphere.'

# Modules that must be imported into the global environment prior to importing this module
RequiredModules = @(
@{"ModuleName"="VMware.VimAutomation.Cis.Core";"ModuleVersion"="11.3.0.87418435"}
)

# Functions to export from this module
FunctionsToExport = '*'

# Cmdlets to export from this module
CmdletsToExport = @('Add-PassthroughDevice','Add-VirtualSwitchPhysicalNetworkAdapter','Add-VMHost','Add-VMHostNtpServer','Connect-VIServer','Copy-DatastoreItem','Copy-HardDisk','Copy-VMGuestFile','Disconnect-VIServer','Dismount-Tools','Export-VApp','Export-VMHostProfile','Format-VMHostDiskPartition','Get-AdvancedSetting','Get-AlarmAction','Get-AlarmActionTrigger','Get-AlarmDefinition','Get-Annotation','Get-CDDrive','Get-Cluster','Get-ContentLibraryItem','Get-CustomAttribute','Get-Datacenter','Get-Datastore','Get-DatastoreCluster','Get-DrsClusterGroup','Get-DrsRecommendation','Get-DrsRule','Get-DrsVMHostRule','Get-EsxCli','Get-EsxTop','Get-FloppyDrive','Get-Folder','Get-HAPrimaryVMHost','Get-HardDisk','Get-Inventory','Get-IScsiHbaTarget','Get-Log','Get-LogType','Get-NetworkAdapter','Get-NicTeamingPolicy','Get-OSCustomizationNicMapping','Get-OSCustomizationSpec','Get-OvfConfiguration','Get-PassthroughDevice','Get-PowerCLIConfiguration','Get-PowerCLIVersion','Get-ResourcePool','Get-ScsiController','Get-ScsiLun','Get-ScsiLunPath','Get-SecurityPolicy','Get-Snapshot','Get-Stat','Get-StatInterval','Get-StatType','Get-Tag','Get-TagAssignment','Get-TagCategory','Get-Task','Get-Template','Get-UsbDevice','Get-VApp','Get-VIAccount','Get-VICredentialStoreItem','Get-VIEvent','Get-View','Get-VIObjectByVIView','Get-VIPermission','Get-VIPrivilege','Get-VIProperty','Get-VIRole','Get-VirtualPortGroup','Get-VirtualSwitch','Get-VM','Get-VMGuest','Get-VMHost','Get-VMHostAccount','Get-VMHostAdvancedConfiguration','Get-VMHostAuthentication','Get-VMHostAvailableTimeZone','Get-VMHostDiagnosticPartition','Get-VMHostDisk','Get-VMHostDiskPartition','Get-VMHostFirewallDefaultPolicy','Get-VMHostFirewallException','Get-VMHostFirmware','Get-VMHostHardware','Get-VMHostHba','Get-VMHostModule','Get-VMHostNetwork','Get-VMHostNetworkAdapter','Get-VMHostNtpServer','Get-VMHostPatch','Get-VMHostPciDevice','Get-VMHostProfile','Get-VMHostProfileImageCacheConfiguration','Get-VMHostProfileRequiredInput','Get-VMHostProfileStorageDeviceConfiguration','Get-VMHostProfileUserConfiguration','Get-VMHostProfileVmPortGroupConfiguration','Get-VMHostRoute','Get-VMHostService','Get-VMHostSnmp','Get-VMHostStartPolicy','Get-VMHostStorage','Get-VMHostSysLogServer','Get-VMQuestion','Get-VMResourceConfiguration','Get-VMStartPolicy','Import-VApp','Import-VMHostProfile','Install-VMHostPatch','Invoke-DrsRecommendation','Invoke-VMHostProfile','Invoke-VMScript','Mount-Tools','Move-Cluster','Move-Datacenter','Move-Datastore','Move-Folder','Move-HardDisk','Move-Inventory','Move-ResourcePool','Move-Template','Move-VApp','Move-VM','Move-VMHost','New-AdvancedSetting','New-AlarmAction','New-AlarmActionTrigger','New-CDDrive','New-Cluster','New-CustomAttribute','New-Datacenter','New-Datastore','New-DatastoreCluster','New-DrsClusterGroup','New-DrsRule','New-DrsVMHostRule','New-FloppyDrive','New-Folder','New-HardDisk','New-IScsiHbaTarget','New-NetworkAdapter','New-OSCustomizationNicMapping','New-OSCustomizationSpec','New-ResourcePool','New-ScsiController','New-Snapshot','New-StatInterval','New-Tag','New-TagAssignment','New-TagCategory','New-Template','New-VApp','New-VICredentialStoreItem','New-VIPermission','New-VIProperty','New-VIRole','New-VirtualPortGroup','New-VirtualSwitch','New-VISamlSecurityContext','New-VM','New-VMHostAccount','New-VMHostNetworkAdapter','New-VMHostProfile','New-VMHostProfileVmPortGroupConfiguration','New-VMHostRoute','Open-VMConsoleWindow','Remove-AdvancedSetting','Remove-AlarmAction','Remove-AlarmActionTrigger','Remove-CDDrive','Remove-Cluster','Remove-CustomAttribute','Remove-Datacenter','Remove-Datastore','Remove-DatastoreCluster','Remove-DrsClusterGroup','Remove-DrsRule','Remove-DrsVMHostRule','Remove-FloppyDrive','Remove-Folder','Remove-HardDisk','Remove-Inventory','Remove-IScsiHbaTarget','Remove-NetworkAdapter','Remove-OSCustomizationNicMapping','Remove-OSCustomizationSpec','Remove-PassthroughDevice','Remove-ResourcePool','Remove-Snapshot','Remove-StatInterval','Remove-Tag','Remove-TagAssignment','Remove-TagCategory','Remove-Template','Remove-UsbDevice','Remove-VApp','Remove-VICredentialStoreItem','Remove-VIPermission','Remove-VIProperty','Remove-VIRole','Remove-VirtualPortGroup','Remove-VirtualSwitch','Remove-VirtualSwitchPhysicalNetworkAdapter','Remove-VM','Remove-VMHost','Remove-VMHostAccount','Remove-VMHostNetworkAdapter','Remove-VMHostNtpServer','Remove-VMHostProfile','Remove-VMHostProfileVmPortGroupConfiguration','Remove-VMHostRoute','Restart-VM','Restart-VMGuest','Restart-VMHost','Restart-VMHostService','Set-AdvancedSetting','Set-AlarmDefinition','Set-Annotation','Set-CDDrive','Set-Cluster','Set-CustomAttribute','Set-Datacenter','Set-Datastore','Set-DatastoreCluster','Set-DrsClusterGroup','Set-DrsRule','Set-DrsVMHostRule','Set-FloppyDrive','Set-Folder','Set-HardDisk','Set-IScsiHbaTarget','Set-NetworkAdapter','Set-NicTeamingPolicy','Set-OSCustomizationNicMapping','Set-OSCustomizationSpec','Set-PowerCLIConfiguration','Set-ResourcePool','Set-ScsiController','Set-ScsiLun','Set-ScsiLunPath','Set-SecurityPolicy','Set-Snapshot','Set-StatInterval','Set-Tag','Set-TagCategory','Set-Template','Set-VApp','Set-VIPermission','Set-VIRole','Set-VirtualPortGroup','Set-VirtualSwitch','Set-VM','Set-VMHost','Set-VMHostAccount','Set-VMHostAdvancedConfiguration','Set-VMHostAuthentication','Set-VMHostDiagnosticPartition','Set-VMHostFirewallDefaultPolicy','Set-VMHostFirewallException','Set-VMHostFirmware','Set-VMHostHba','Set-VMHostModule','Set-VMHostNetwork','Set-VMHostNetworkAdapter','Set-VMHostProfile','Set-VMHostProfileImageCacheConfiguration','Set-VMHostProfileStorageDeviceConfiguration','Set-VMHostProfileUserConfiguration','Set-VMHostProfileVmPortGroupConfiguration','Set-VMHostRoute','Set-VMHostService','Set-VMHostSnmp','Set-VMHostStartPolicy','Set-VMHostStorage','Set-VMHostSysLogServer','Set-VMQuestion','Set-VMResourceConfiguration','Set-VMStartPolicy','Start-VApp','Start-VM','Start-VMHost','Start-VMHostService','Stop-Task','Stop-VApp','Stop-VM','Stop-VMGuest','Stop-VMHost','Stop-VMHostService','Suspend-VM','Suspend-VMGuest','Suspend-VMHost','Test-VMHostProfileCompliance','Test-VMHostSnmp','Update-Tools','Wait-Task','Wait-Tools')

# Variables to export from this module
VariablesToExport = '*'

# Aliases to export from this module
AliasesToExport = @('Answer-VMQuestion','Apply-DrsRecommendation','Apply-VMHostProfile','Export-VM','Get-ESX','Get-PowerCLIDocumentation','Get-VC','Get-VIServer','Get-VIToolkitConfiguration','Get-VIToolkitVersion','Set-VIToolkitConfiguration','Shutdown-VMGuest')

}

# SIG # Begin signature block
# MIID0gYJKoZIhvcNAQcCoIIDwzCCA78CAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUPYBriDeGTl/1wUnuBoDrqUin
# X22gggH/MIIB+zCCAWSgAwIBAgIQ18907PngVoVDxSbOLQ8BUzANBgkqhkiG9w0B
# AQQFADAVMRMwEQYDVQQDEwpWTXdhcmVUZXN0MCAXDTA2MDEwMTA3MDAwMFoYDzIw
# OTkwMTAxMDcwMDAwWjAVMRMwEQYDVQQDEwpWTXdhcmVUZXN0MIGfMA0GCSqGSIb3
# DQEBAQUAA4GNADCBiQKBgQDmacgVpuOBXRDeqygplNoCKFw8/pnraVAWvTQIANfb
# wt54jsZyX8wC2xv9Olgh6723Xg9s7qMBaJwQ4MCtUB18cx4grDcGeyigsmToBxFA
# zs3lqCP6RfZQzFcLIFdI9XeXvGOebP7rMFh0F5nUuvHIOtPF6I5tEhtxcGIR1gO+
# 5wIDAQABo0owSDBGBgNVHQEEPzA9gBA5XdDY7iSoQWy8DWL2BWjboRcwFTETMBEG
# A1UEAxMKVk13YXJlVGVzdIIQ18907PngVoVDxSbOLQ8BUzANBgkqhkiG9w0BAQQF
# AAOBgQCL864AWy1uUq69aswJAGcTBc7nGzM+3HCJT3tPLiiC76GYcnkxSQYHU8ER
# BdOwSKfPWKgjvdAvZR0/pLU6bIvQxEguFqgHVhbufx1njj7eH4dRWiDq672+OKJN
# IrcBnlMopCu75ryHAOH7j+dTUa2ykyt8FOk/OKVpnBfMfygrczGCAT0wggE5AgEB
# MCkwFTETMBEGA1UEAxMKVk13YXJlVGVzdAIQ18907PngVoVDxSbOLQ8BUzAJBgUr
# DgMCGgUAoGwwGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwIwYJKoZIhvcNAQkE
# MRYEFAj6InJrhMxSu749Hu7+ncZ821ciMCoGCisGAQQBgjcCAQwxHDAaoRiAFmh0
# dHA6Ly93d3cudm13YXJlLmNvbS8wDQYJKoZIhvcNAQEBBQAEgYAff5p2/DT4Blgy
# a48gwCIGYrA6fXQDF/wps1l3kEWTGLaFIB1DD3wVSfrrI9JnZf7y6DkwQkfk+0xb
# Wv3DK/N4Ih8+znF+d4E5e7XHmACmod1i1k6jtf3Cj36llCX7+8P+C//3ITxor4/h
# OUOn9zMV2rinQkNkPSZDOplDzbDkZQ==
# SIG # End signature block
